The target system is: Android - 1 - armv7-a
The host system is: Linux - 4.15.0-142-generic - x86_64
Detecting C compiler ABI info compiled with the following output:
Change Dir: /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp

Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_afa37/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_afa37.dir/build.make CMakeFiles/cmTC_afa37.dir/build
make[1]: Entering directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o
/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot   -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa,--noexecstack -Wformat   -fPIE   -v -MD -MT CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c
Android clang version 5.0.300080  (based on LLVM 5.0.300080)
Target: armv7-none-linux-android
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@thumb
Candidate multilib: armv7-a;@armv7
Candidate multilib: armv7-a/thumb;@armv7@thumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@armv7@thumb
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang" -cc1 -triple thumbv7-none-linux-android -S -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose -no-integrated-as -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu cortex-a8 -target-feature +soft-float-abi -target-feature -fp-only-sp -target-feature +d16 -target-feature +vfp3 -target-feature -fp16 -target-feature -vfp4 -target-feature -fp-armv8 -target-feature -neon -target-feature -crypto -target-abi aapcs-linux -mfloat-abi soft -target-linker-version 2.24 -v -dwarf-column-info -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -ffunction-sections -coverage-notes-file /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp/CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.gcno -resource-dir /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080 -dependency-file CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o.d -sys-header-deps -MT CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D __ANDROID_API__=22 -D ANDROID -isysroot /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include -Wformat -fno-dwarf-directory-asm -fdebug-compilation-dir /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp -ferror-limit 19 -fmessage-length 0 -femulated-tls -stack-protector 2 -fallow-half-arguments-and-returns -fno-signed-char -fobjc-runtime=gcc -fdiagnostics-show-option -o /tmp/CMakeCCompilerABI-1f81e1.s -x c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c
clang -cc1 version 5.0.300080 based upon LLVM 5.0.300080 default target x86_64-unknown-linux
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include"
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include"
#include "..." search starts here:
#include <...> search starts here:
 /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi
 /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include
 /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include
End of search list.
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/as" -mfpu=neon -mfloat-abi=softfp -march=armv7-a -mfpu=vfpv3-d16 --noexecstack -o CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o /tmp/CMakeCCompilerABI-1f81e1.s
Linking C executable cmTC_afa37
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_afa37.dir/link.txt --verbose=1
/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa,--noexecstack -Wformat   -Wl,--exclude-libs,libgcc.a -Wl,--exclude-libs,libatomic.a --sysroot /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -Wl,--build-id -Wl,--warn-shared-textrel -Wl,--fatal-warnings -Wl,--fix-cortex-a8 -Wl,--no-undefined -Wl,-z,noexecstack -Qunused-arguments -Wl,-z,relro -Wl,-z,now -Wl,--gc-sections -Wl,-z,nocopyreloc -pie -fPIE  -v CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -o cmTC_afa37 
Android clang version 5.0.300080  (based on LLVM 5.0.300080)
Target: armv7-none-linux-android
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@thumb
Candidate multilib: armv7-a;@armv7
Candidate multilib: armv7-a/thumb;@armv7@thumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@armv7@thumb
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -pie -z relro -X --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_afa37 /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib --exclude-libs libgcc.a --exclude-libs libatomic.a --build-id --warn-shared-textrel --fatal-warnings --fix-cortex-a8 --no-undefined -z noexecstack -z relro -z now --gc-sections -z nocopyreloc CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o
make[1]: Leaving directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp'



Parsed C implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  end of search list found
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  implicit include dirs: [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include;/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]


Parsed C implicit link information from above output:
  link line regex: [^( *|.*[/\])(arm-linux-androideabi-ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_afa37/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_afa37.dir/build.make CMakeFiles/cmTC_afa37.dir/build]
  ignore line: [make[1]: Entering directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp']
  ignore line: [Building C object CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot   -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa --noexecstack -Wformat   -fPIE   -v -MD -MT CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c]
  ignore line: [Android clang version 5.0.300080  (based on LLVM 5.0.300080)]
  ignore line: [Target: armv7-none-linux-android]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@thumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@armv7]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang" -cc1 -triple thumbv7-none-linux-android -S -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose -no-integrated-as -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu cortex-a8 -target-feature +soft-float-abi -target-feature -fp-only-sp -target-feature +d16 -target-feature +vfp3 -target-feature -fp16 -target-feature -vfp4 -target-feature -fp-armv8 -target-feature -neon -target-feature -crypto -target-abi aapcs-linux -mfloat-abi soft -target-linker-version 2.24 -v -dwarf-column-info -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -ffunction-sections -coverage-notes-file /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp/CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.gcno -resource-dir /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080 -dependency-file CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o.d -sys-header-deps -MT CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D __ANDROID_API__=22 -D ANDROID -isysroot /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include -Wformat -fno-dwarf-directory-asm -fdebug-compilation-dir /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp -ferror-limit 19 -fmessage-length 0 -femulated-tls -stack-protector 2 -fallow-half-arguments-and-returns -fno-signed-char -fobjc-runtime=gcc -fdiagnostics-show-option -o /tmp/CMakeCCompilerABI-1f81e1.s -x c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c]
  ignore line: [clang -cc1 version 5.0.300080 based upon LLVM 5.0.300080 default target x86_64-unknown-linux]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include"]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  ignore line: [End of search list.]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/as" -mfpu=neon -mfloat-abi=softfp -march=armv7-a -mfpu=vfpv3-d16 --noexecstack -o CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o /tmp/CMakeCCompilerABI-1f81e1.s]
  ignore line: [Linking C executable cmTC_afa37]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_afa37.dir/link.txt --verbose=1]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa --noexecstack -Wformat   -Wl --exclude-libs libgcc.a -Wl --exclude-libs libatomic.a --sysroot /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -Wl --build-id -Wl --warn-shared-textrel -Wl --fatal-warnings -Wl --fix-cortex-a8 -Wl --no-undefined -Wl -z noexecstack -Qunused-arguments -Wl -z relro -Wl -z now -Wl --gc-sections -Wl -z nocopyreloc -pie -fPIE  -v CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -o cmTC_afa37 ]
  ignore line: [Android clang version 5.0.300080  (based on LLVM 5.0.300080)]
  ignore line: [Target: armv7-none-linux-android]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@thumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@armv7]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  link line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -pie -z relro -X --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_afa37 /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib --exclude-libs libgcc.a --exclude-libs libatomic.a --build-id --warn-shared-textrel --fatal-warnings --fix-cortex-a8 --no-undefined -z noexecstack -z relro -z now --gc-sections -z nocopyreloc CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o]
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld] ==> ignore
    arg [--sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm] ==> ignore
    arg [-pie] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-X] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/system/bin/linker] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_afa37] ==> ignore
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
    arg [--exclude-libs] ==> ignore
    arg [libgcc.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libatomic.a] ==> ignore
    arg [--build-id] ==> ignore
    arg [--warn-shared-textrel] ==> ignore
    arg [--fatal-warnings] ==> ignore
    arg [--fix-cortex-a8] ==> ignore
    arg [--no-undefined] ==> ignore
    arg [-znoexecstack] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-znow] ==> ignore
    arg [--gc-sections] ==> ignore
    arg [-znocopyreloc] ==> ignore
    arg [CMakeFiles/cmTC_afa37.dir/CMakeCCompilerABI.c.o] ==> ignore
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o]
  collapse obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtbegin_dynamic.o]
  collapse obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtend_android.o]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  implicit libs: [gcc;dl;c;gcc;dl]
  implicit objs: [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtbegin_dynamic.o;/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtend_android.o]
  implicit dirs: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  implicit fwks: []


Detecting CXX compiler ABI info compiled with the following output:
Change Dir: /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp

Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_7e4bf/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_7e4bf.dir/build.make CMakeFiles/cmTC_7e4bf.dir/build
make[1]: Entering directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o
/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot  -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa,--noexecstack -Wformat    -fPIE   -v -MD -MT CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp
Android clang version 5.0.300080  (based on LLVM 5.0.300080)
Target: armv7-none-linux-android
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@thumb
Candidate multilib: armv7-a;@armv7
Candidate multilib: armv7-a/thumb;@armv7@thumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@armv7@thumb
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++" -cc1 -triple thumbv7-none-linux-android -S -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose -no-integrated-as -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu cortex-a8 -target-feature +soft-float-abi -target-feature -fp-only-sp -target-feature +d16 -target-feature +vfp3 -target-feature -fp16 -target-feature -vfp4 -target-feature -fp-armv8 -target-feature -neon -target-feature -crypto -target-abi aapcs-linux -mfloat-abi soft -target-linker-version 2.24 -v -dwarf-column-info -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -ffunction-sections -coverage-notes-file /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp/CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.gcno -resource-dir /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080 -dependency-file CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o.d -sys-header-deps -MT CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D __ANDROID_API__=22 -D ANDROID -isysroot /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include -Wformat -fdeprecated-macro -fno-dwarf-directory-asm -fdebug-compilation-dir /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp -ferror-limit 19 -fmessage-length 0 -femulated-tls -stack-protector 2 -fallow-half-arguments-and-returns -fno-signed-char -fobjc-runtime=gcc -fcxx-exceptions -fexceptions -fdiagnostics-show-option -o /tmp/CMakeCXXCompilerABI-190a2e.s -x c++ /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp
clang -cc1 version 5.0.300080 based upon LLVM 5.0.300080 default target x86_64-unknown-linux
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include"
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include"
#include "..." search starts here:
#include <...> search starts here:
 /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include
 /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include
 /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward
 /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi
 /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include
 /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include
End of search list.
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/as" -mfpu=neon -mfloat-abi=softfp -march=armv7-a -mfpu=vfpv3-d16 --noexecstack -o CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o /tmp/CMakeCXXCompilerABI-190a2e.s
Linking CXX executable cmTC_7e4bf
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_7e4bf.dir/link.txt --verbose=1
/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa,--noexecstack -Wformat    -Wl,--exclude-libs,libgcc.a -Wl,--exclude-libs,libatomic.a --sysroot /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -Wl,--build-id -Wl,--warn-shared-textrel -Wl,--fatal-warnings -Wl,--fix-cortex-a8 -Wl,--no-undefined -Wl,-z,noexecstack -Qunused-arguments -Wl,-z,relro -Wl,-z,now -Wl,--gc-sections -Wl,-z,nocopyreloc -pie -fPIE  -v CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_7e4bf 
Android clang version 5.0.300080  (based on LLVM 5.0.300080)
Target: armv7-none-linux-android
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@thumb
Candidate multilib: armv7-a;@armv7
Candidate multilib: armv7-a/thumb;@armv7@thumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@armv7@thumb
 "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -pie -z relro -X --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_7e4bf /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib --exclude-libs libgcc.a --exclude-libs libatomic.a --build-id --warn-shared-textrel --fatal-warnings --fix-cortex-a8 --no-undefined -z noexecstack -z relro -z now --gc-sections -z nocopyreloc CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc -lgcc -ldl -lc -lgcc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o
make[1]: Leaving directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp'



Parsed CXX implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  end of search list found
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  implicit include dirs: [/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include;/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include;/home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward;/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include;/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]


Parsed CXX implicit link information from above output:
  link line regex: [^( *|.*[/\])(arm-linux-androideabi-ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_7e4bf/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_7e4bf.dir/build.make CMakeFiles/cmTC_7e4bf.dir/build]
  ignore line: [make[1]: Entering directory `/home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp']
  ignore line: [Building CXX object CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot  -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa --noexecstack -Wformat    -fPIE   -v -MD -MT CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [Android clang version 5.0.300080  (based on LLVM 5.0.300080)]
  ignore line: [Target: armv7-none-linux-android]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@thumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@armv7]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++" -cc1 -triple thumbv7-none-linux-android -S -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose -no-integrated-as -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu cortex-a8 -target-feature +soft-float-abi -target-feature -fp-only-sp -target-feature +d16 -target-feature +vfp3 -target-feature -fp16 -target-feature -vfp4 -target-feature -fp-armv8 -target-feature -neon -target-feature -crypto -target-abi aapcs-linux -mfloat-abi soft -target-linker-version 2.24 -v -dwarf-column-info -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -ffunction-sections -coverage-notes-file /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp/CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.gcno -resource-dir /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080 -dependency-file CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o.d -sys-header-deps -MT CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D __ANDROID_API__=22 -D ANDROID -isysroot /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include -Wformat -fdeprecated-macro -fno-dwarf-directory-asm -fdebug-compilation-dir /home/vboxuser/gateway/test/uart/uart1/build/CMakeFiles/CMakeTmp -ferror-limit 19 -fmessage-length 0 -femulated-tls -stack-protector 2 -fallow-half-arguments-and-returns -fno-signed-char -fobjc-runtime=gcc -fcxx-exceptions -fexceptions -fdiagnostics-show-option -o /tmp/CMakeCXXCompilerABI-190a2e.s -x c++ /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [clang -cc1 version 5.0.300080 based upon LLVM 5.0.300080 default target x86_64-unknown-linux]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/local/include"]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/include"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sources/cxx-stl/gnu-libstdc++/4.9/include/backward]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include]
  ignore line: [End of search list.]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/as" -mfpu=neon -mfloat-abi=softfp -march=armv7-a -mfpu=vfpv3-d16 --noexecstack -o CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o /tmp/CMakeCXXCompilerABI-190a2e.s]
  ignore line: [Linking CXX executable cmTC_7e4bf]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_7e4bf.dir/link.txt --verbose=1]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/sysroot -isystem /home/vboxuser/tools/ndk/android-ndk-r16b/sysroot/usr/include/arm-linux-androideabi -D__ANDROID_API__=22 -g -DANDROID -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -fno-integrated-as -mthumb -Wa --noexecstack -Wformat    -Wl --exclude-libs libgcc.a -Wl --exclude-libs libatomic.a --sysroot /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -Wl --build-id -Wl --warn-shared-textrel -Wl --fatal-warnings -Wl --fix-cortex-a8 -Wl --no-undefined -Wl -z noexecstack -Qunused-arguments -Wl -z relro -Wl -z now -Wl --gc-sections -Wl -z nocopyreloc -pie -fPIE  -v CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_7e4bf ]
  ignore line: [Android clang version 5.0.300080  (based on LLVM 5.0.300080)]
  ignore line: [Target: armv7-none-linux-android]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@thumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@armv7]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@armv7@thumb]
  link line: [ "/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm -pie -z relro -X --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_7e4bf /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib --exclude-libs libgcc.a --exclude-libs libatomic.a --build-id --warn-shared-textrel --fatal-warnings --fix-cortex-a8 --no-undefined -z noexecstack -z relro -z now --gc-sections -z nocopyreloc CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc -lgcc -ldl -lc -lgcc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o]
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld] ==> ignore
    arg [--sysroot=/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm] ==> ignore
    arg [-pie] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-X] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/system/bin/linker] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_7e4bf] ==> ignore
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
    arg [--exclude-libs] ==> ignore
    arg [libgcc.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libatomic.a] ==> ignore
    arg [--build-id] ==> ignore
    arg [--warn-shared-textrel] ==> ignore
    arg [--fatal-warnings] ==> ignore
    arg [--fix-cortex-a8] ==> ignore
    arg [--no-undefined] ==> ignore
    arg [-znoexecstack] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-znow] ==> ignore
    arg [--gc-sections] ==> ignore
    arg [-znocopyreloc] ==> ignore
    arg [CMakeFiles/cmTC_7e4bf.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
    arg [-lstdc++] ==> lib [stdc++]
    arg [-lm] ==> lib [m]
    arg [-lgcc] ==> lib [gcc]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o]
  collapse obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtbegin_dynamic.o] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtbegin_dynamic.o]
  collapse obj [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib/crtend_android.o] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtend_android.o]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  implicit libs: [stdc++;m;gcc;gcc;dl;c;gcc;gcc;dl]
  implicit objs: [/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtbegin_dynamic.o;/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib/crtend_android.o]
  implicit dirs: [/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/5.0.300080/lib/linux/arm;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r16b/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r16b/platforms/android-22/arch-arm/usr/lib]
  implicit fwks: []


